import { Component } from '@angular/core';
import { MatDialog } from '@angular/material';
import { environment } from './../../../environments/environment';
import { FeedbackDialogComponent } from '@app/degree-planner/dialogs/feedback-dialog/feedback-dialog.component';

@Component({
  selector: 'cse-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent {
  public useNewDARSView?: boolean;

  constructor(public dialog: MatDialog) {
    this.useNewDARSView = environment['useNewDARSView'] === true;
  }

  public onFeedbackClick() {
    this.dialog.open(FeedbackDialogComponent, {
      closeOnNavigation: true,
    });
  }
}
